Sync Groups - List Logs

取得同步群組記錄的集合。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}&continuationToken={continuationToken}

URI 參數

名稱 位於 必要 類型 Description
databaseName
path True

string

資料庫的名稱。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

serverName
path True

string

伺服器的名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

syncGroupName
path True

string

同步群組的名稱。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

endTime
query True

string

取得這次之前產生的記錄。

startTime
query True

string

取得這次之後產生的記錄。

type
query True

SyncGroupsType

要擷取的記錄類型。

continuationToken
query

string

此作業的接續令牌。

回應

名稱 類型 Description
200 OK

SyncGroupLogListResult

Azure 運作順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Get sync group logs

範例要求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-65440/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187/logs?api-version=2025-01-01&startTime=2017-01-01T00:00:00&endTime=2017-12-31T00:00:00&type=All

範例回覆

{
  "value": [
    {
      "type": "Success",
      "operationStatus": "SchemaRefreshSuccess",
      "source": "syncgroupcrud-8475.database.windows.net/hub",
      "timestamp": "2017-05-30T07:16:08.25Z",
      "tracingId": "c0480c8e-6269-424e-9404-b00efce0ebae",
      "details": "Schema information obtained successfully."
    },
    {
      "type": "Error",
      "operationStatus": "SchemaRefreshFailure",
      "source": "syncgroupcrud-8475.database.windows.net/member",
      "timestamp": "2017-05-30T07:03:37.5733333Z",
      "tracingId": "cd3aa28c-0c31-471f-8a77-f1b21c908cbd",
      "details": "Getting schema information for the database failed with the exception \"Failed to connect to server .\nInner exception: SqlException Error Code: -2146232060 - SqlError Number:53, Message: A network-related or instance-specific error occurred while establishing a connection to SQL Server. The server was not found or was not accessible. Verify that the instance name is correct and that SQL Server is configured to allow remote connections. (provider: Named Pipes Provider, error: 40 - Could not open a connection to SQL Server) \nInner exception: The network path was not found\n For more information, provide tracing ID ‘cd3aa28c-0c31-471f-8a77-f1b21c908cbd’ to customer support.\""
    }
  ]
}

定義

名稱 Description
ErrorAdditionalInfo

資源管理錯誤附加資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

錯誤回應

SyncGroupLogListResult

同步群組記錄屬性的清單。

SyncGroupLogProperties

Azure SQL Database 同步群組日誌的屬性。

SyncGroupLogType

同步群組記錄的類型。

SyncGroupsType

要擷取的記錄類型。

ErrorAdditionalInfo

資源管理錯誤附加資訊。

名稱 類型 Description
info

object

附加資訊。

type

string

其他資訊類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

錯誤物件。

SyncGroupLogListResult

同步群組記錄屬性的清單。

名稱 類型 Description
nextLink

string (uri)

專案下一頁的連結

value

SyncGroupLogProperties[]

本頁的 SyncGroupLogProperties 項目

SyncGroupLogProperties

Azure SQL Database 同步群組日誌的屬性。

名稱 類型 Description
details

string

同步群組記錄檔的詳細數據。

operationStatus

string

同步群組記錄的 OperationStatus。

source

string

同步群組記錄的來源。

timestamp

string (date-time)

同步群組記錄的時間戳。

tracingId

string (uuid)

同步群組記錄的 TracingId。

type

SyncGroupLogType

同步群組記錄的類型。

SyncGroupLogType

同步群組記錄的類型。

值 Description
All

全部

Error

錯誤

Warning

警告

Success

成功

SyncGroupsType

要擷取的記錄類型。

值 Description
All

全部

Error

錯誤

Warning

警告

Success

成功